#ifndef WEBRTCPUBLISHER_H
#define WEBRTCPUBLISHER_H

#include <string>

class WebRTCPublisherPrivate;

class WebRTCPublisher
{
public:
    WebRTCPublisher(bool videoEnabled, bool audioEnabled);
    ~WebRTCPublisher();
    bool start(const std::string &address, const std::string &port, const std::string &url);

    void stop();

protected:
    void exchangeSdp();

private:
    WebRTCPublisherPrivate *m_d = nullptr;
    bool m_videoEnabled = false;
    bool m_audioEnabled = false;
};

#endif // WEBRTCPUBLISHER_H
